#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.62
visibility:           public
id:                   brick-0.62-4h4LZ1uEbjH1EyuA3uDMPw
key:                  brick-0.62-4h4LZ1uEbjH1EyuA3uDMPw
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  dc2c90c28170aee5dcbd8d114726efe9
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Brick.Widgets.Table Data.IMap
    Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.5/site-local/brick-0.62
library-dirs:         /usr/lib/ghc-8.10.5/site-local/brick-0.62
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/brick-0.62
hs-libraries:         HSbrick-0.62-4h4LZ1uEbjH1EyuA3uDMPw
depends:
    base-4.14.2.0 bytestring-0.10.12.0
    config-ini-0.2.4.0-6ogJzQLtr6H2JVKYNyakL0 containers-0.6.4.1
    contravariant-1.5.3-KWoYE9wiUjmElzHNq2wj10
    data-clist-0.1.2.3-9FkbG1oRvy2EManKKNdxo5 deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-6OiVjgKlCYDHGRjELdCTkR
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.12.0-7mbtYeVEJj9DE2AV66WaoK
    microlens-mtl-0.2.0.1-JgTbTlYIvEKBoII676UfjM
    microlens-th-0.4.3.10-L22hJd4Bpy6EfILCAvCrvo stm-2.5.0.1
    template-haskell-2.16.0.0 text-1.2.4.1
    text-zipper-0.11-K2PHmrnoJBq3BaJTCVv0f5 transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.3.0-EcRb4NXFUGH91vV3xG3jJs
    vty-5.33-2MWJg2PFf4J2jaVm79IUR6
    word-wrap-0.4.1-AgGrucuFEFABkNBrUjJYFy

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

